## org.apache.poi.hslf.model
Class SlideMaster

    java.lang.Object
      org.apache.poi.hslf.model.Sheet
          org.apache.poi.hslf.model.MasterSheet
              org.apache.poi.hslf.model.SlideMaster

    public final class SlideMaster

extends MasterSheet

SlideMaster determines the graphics, layout, and formatting for all the slides in a given presentation. It stores information about default font styles, placeholder sizes and positions, background design, and color schemes.

Author:
  Yegor Kozlov

Constructor Summary
`SlideMaster(MainMaster record, int sheetNo)` Constructs a SlideMaster from the MainMaster record,

Method Summary
`MasterSheet` `getMasterSheet()` Returns `null` since SlideMasters doen't have master sheet.
`TextProp` `getStyleAttribute(int txtype, int level, java.lang.String name, boolean isCharacter)` Pickup a style attribute from the master.
`TextRun[]` `getTextRuns()` Returns an array of all the TextRuns found
`TxMasterStyleAtom[]` `getTxMasterStyleAtoms()`
`protected void` `onAddTextShape(TextShape shape)` Subclasses should call this method and update the array of text runs when a text shape is added
`void` `setSlideShow(SlideShow ss)` Assign SlideShow for this slide master.

Methods inherited from class org.apache.poi.hslf.model.MasterSheet
`isPlaceholder`

Methods inherited from class org.apache.poi.hslf.model.Sheet
`_getSheetNumber, _getSheetRefId, addShape, allocateShapeId, draw, findTextRuns, findTextRuns, getBackground, getColorScheme, getPlaceholder, getPlaceholderByTextType, getPPDrawing, getProgrammableTag, getShapes, getSheetContainer, getSlideShow, onCreate, removeShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlideMaster

    public SlideMaster(MainMaster record,
                       int sheetNo)

  Constructs a SlideMaster from the MainMaster record,

Method Detail

### getTextRuns

    public TextRun[] getTextRuns()

  Returns an array of all the TextRuns found

  Specified by:
    `getTextRuns` in class `Sheet`

### getMasterSheet

    public MasterSheet getMasterSheet()

  Returns `null` since SlideMasters doen't have master sheet.

  Specified by:
    `getMasterSheet` in class `Sheet`

### getStyleAttribute

    public TextProp getStyleAttribute(int txtype,
                                      int level,
                                      java.lang.String name,
                                      boolean isCharacter)

  Pickup a style attribute from the master. This is the "workhorse" which returns the default style attrubutes.

  Specified by:
    `getStyleAttribute` in class `MasterSheet`

### setSlideShow

    public void setSlideShow(SlideShow ss)

  Assign SlideShow for this slide master. (Used interanlly)

  Overrides:
    `setSlideShow` in class `Sheet`

### onAddTextShape

    protected void onAddTextShape(TextShape shape)

  Description copied from class: `Sheet`
  Subclasses should call this method and update the array of text runs when a text shape is added

  Overrides:
    `onAddTextShape` in class `Sheet`

### getTxMasterStyleAtoms

    public TxMasterStyleAtom[] getTxMasterStyleAtoms()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.